样品选择操作功能

(ssadd [ename [ss]])
 
参数:
 
名字
- 实体名称
 
ss
-样本集
 
描述:
  -将对象(实体)添加到选择集中,或创建 新选择集
 
返回值:
  - 新的或修改的样本
 
例子:
  要将变量e1设置为图形中第一个实体的名称,请执行以下操作:
  (setq e1 (Entnext))
    退货 <Entity name: 1d62d60>
   
  要将ss变量设置为空样本集:
  (setq ss (ssadd))
    退货 <Selection set: 2>
   
  将e1中的实体添加到dc中的选择集中:
(ssadd e1 ss)
    退货 <Selection set: 2>
   
  根据e1获取实体:
(setq e2 (Entnext e1))
    退货 <Entity name: 1d62d68>
   
  将e2添加到dc实体:
  (ssadd e2 ss)
    退货 <Selection set: 2>

(ssdel ename ss)
 
参数:
 
名字
- 实体名称
 
ss
-样本集
 
描述:
  -从样本中删除实体
 
返回值:
  - 样品名称
  - 尼罗河 - 当指定的实体不选择存在 množinì
 
例子:
  在以下示例中,名为e1的实体是选择成员 设置ss,但实体e3不是ss的成员:
  (ssdel e1 ss)
    退货 <Selection set: 2>
   
  返回的选择集不包含实体e1
  (ssdel e3 ss)
    退货 尼罗河 -e3不是选择集ss的成员

(ssget [选择方法] [pt1 [pt2]] [pt-list] [filter-list])
 
参数:
 
方法
-指定对象选择方法的字符串:
 
  C - køížová selekce
 
  CP -多边形选择(所有对象相交或 vevnitø polygonu)
 
  F - místní selekce
 
  I -隐式选择
 
  L -最后可见的对象已添加到数据库
 
  P -最后选择
 
  W - selekce oknem
 
  可湿性粉剂 -WPolygon(指定多边形中的所有对象)
 
  X -完整的数据库,选择数据库中的所有实体 (如果未设置过滤器列表)
 
  :E -选框中的所有内容
 
  :N -要求增加信息
 
pt1
-相对选择点
 
pt2
-相对选择点
 
列表
-点列表
 
筛选清单
-包含对象属性的关联列表。对象 与filter-list参数匹配的变量将添加到选择集中
 
描述:
  -创建所选对象的选择集
 
返回值:
  - 创建的选择集的名称,如果一切都发生了 v poøádku
  - 尼罗河 -未选择任何对象时
 
例子:
  要求用户选择要添加到选择集中的对象:
(ssget)
    退货 <Selection set: 2>
   
  从经过点(2,2)的对象创建选择集
  (ssget'(2 2))
    退货 尼罗河
   
  创建最常用的选择 vybraných objektù:
  (ssget"_P")
    退货 <Selection set: 4>
   
  创建一组与框相交的对象(0, 0) (1, 1)
  (ssget"_C" '(0 0) '(1 1))
    退货 <Selection set: b>

(ssgetfirst)
 
描述:
  -检测选择或捕获的对象
 
返回值:
  - 将返回 两个选择的清单 放 就像在sssetfirst函数中
  -第一个元素是选择的实体 他们被抓住但未被选中
  -第二个元素是选择的实体 他们被抓住并选中

看一下功能 ssget a sssetfirst.

(sslength ss)
 
参数:
 
ss
-样本集
 
描述:
  -返回选择集中的对象(实体)数
 
返回值:
  - 整数
 
例子:
  将最后一个对象添加到新的选择集中:
  (setq sset (ssget "L"))
    退货 <Selection set: 8>
   
  查找新样本的长度:
  (sslength sset)
    退货 1

(ssmemb ename ss)
 
参数:
 
名字
- 实体名称
 
ss
-样本集
 
描述:
  -确定对象是否为选择集的成员
 
返回值:
  - 实体名称 - ename je èlenem ss
  - 尼罗河 -ename不是ss的成员
 
例子:
  在以下示例中,实体名称e2是示例的成员 集合ss的名称,而实体名称e1不是ss的成员:
  (ssmemb e2 ss)
    退货 <Entity name: 1d62d68>
   
  (ssemmb e1 ss)
    退货 尼罗河

(ssname ss索引)
 
参数:
指数
-整数或实数-指示选择集中的元素
-第一个元素的索引= 0
-需要访问范围大于0-32767的实体 použít indexy real
ss
-样本集
描述:
  -返回所选内容的索引元素的对象(实体)的名称 množiny
 
返回值:
  - 实体名称 -如果一切顺利
  - nil -索引为负数或大于实体数 ve výbìrové množinì
 
例子:
  获取样本中第一个实体的名称:
  (setq ent1 (ssname ss 0))
    退货 <Entity name: 1d62d68>
   
  要获取样本中第四个实体的名称:
  (setq ent4 (ssname ss 3))
    退货 <Entity name: 1d62d90>
   
  访问索引大于32767的实体的示例:
  (setq entx(ssname sset 50843.0))

看一下功能 Entnext.

(ssnamex ss [index])
 
参数:
 
ss
-样本集
 
指数
-整数或实数-指示选择集中的元素
    -第一个元素的索引= 0
 
描述:
  -获取信息-如何创建选择集
 
返回值:
   
 
例子:
  (ssnamex ss3 0)
    退货 ((1 <Entity name: 1d62da0> 0(0(1.0 1.0 0.0))))

(sssetfirst手柄组[pickset])
 
参数:
 
夹具
-要抓的样品
 
- 夹具 是零 被指定 funkce sssetfirst 抓住并选择
 
- 夹具 为nil并且未指定pickset函数 sssetfirst 关闭手柄指示灯并选择之前的设置
 
-选择集被选择
 
描述:
  -设置要捕获的对象和选择的对象
 
返回值:
  - 选择集或集合集
 
例子:
  绘制一个正方形并创建三个选择集,绘制 第一页并添加到 夹具:
  (恩特马克 (刀刃 (缺点 0 "line")'((10 0.0 0.0 0.0)'(11 0.0 10.0 0.0)))
    退货 ((0 . "line")(10 0.0 0.0 0.0)(11 0.0 10.0 0.0))
  (setq gripset (ssget "_l"))
    退货 <Selection set: a5> - 多变的 夹具 指向创建的选择集
   
  画另一面并添加到 夹具:
  (恩特马克 (刀刃 (缺点 0 "line")'((10 0.0 10.0 0.0)'(11 10.0 10.0 0.0)))
    退货 ((0。"line")(10 0.0 10.0 0.0)(11 10.0 10.0 0.0))
  (ssadd (entlast) gripset)
    退货 <Selection set: a5>
   
  另一个仅包含第2页的示例:
  (setq 2onlyset (ssget "_l"))
    退货 <Selection set: a8>
     
  多变的 指向一个新的选择集。
  绘制第四页并添加到 夹具 a pickset:
  (恩特马克 (刀刃 (缺点 0 "line")'((10 10.0 0.0 0.0)'(11 0.0 0.0 0.0)))
    退货 ((0。"line")(10 10.0 0.0 0.0)(11 0.0 0.0 0.0))
  (ssadd (entlast) gripset)
    退货 <Selection set: a5>
  (ssadd (entlast) pickset)
    退货 <Selection set: ab>
     
  - 夹具 包含第1-4页, 包含 第3-4页和第2页onlyset仅包含第2页:
  -将夹点指针设置为中的所有对象 výbìrové množinì 夹具:
(第一组第一把)
    退货 (<Selection set: a5>)
   
  -在所有物体上关闭握把指示器 ve výbìrové množinì 夹具:
  (sssetfirst nil)
    退货 (尼罗河)
   
  -设置手柄指针并选择所有对象 v :
  (sssetfirst nil pickset)
    退货 (nil <Selection set: ab>)

(setfunhelp c:fname [帮助文件 [topic [command]]])
 
参数:
 
c:fname
-指定用户的字符串-定义的命令(c:xxx 函数),必须给前缀c:
 
帮助文件
-字符串-帮助文件名,后缀不是必需的
 
sto
-标识帮助主题ID的字符串
 
命令
-标识帮助请求类型的字符串
 
描述:
  -根据要求注册用户定义的命令并提供帮助 调用用户的帮助文件和所需帮助的主题
 
返回值:
  - øetìzec 如果一切顺利,则视为c:fname poøádku
  - 尼罗河 - v opaèném pøípadì
 
例子:
  简单功能的定义和帮助的分配:
  (防御 c:foo ()
  (getstring "按F1获得有关foo命令的帮助:")
  )
  (setfunhelp "c:foo" "acad.hlp" "circle")
    -最后一行为函数foo help acad.hlp分配了一个条目 (主题)圈,加载foo函数并按F1后,将显示help acad - circle

看一下功能 帮助.